Payment Cards

Methods

GET

Retrieve Single Payment Card

/backend/api/v1/paymentCards/ID - fetch payment card with specified ID.

List Payment Cards

/backend/api/v1/paymentCards/ - list all payment cards.

/backend/api/v1/customers/ID/paymentCards/ - list payment cards belonging to customer with specified ID.

POST

/backend/api/v1/customers/ID/paymentCards/ - add a new payment card to the specified customer, the newly-added card will be returned.

PATCH

/backend/api/v1/paymentCards/ID - update payment card with specified ID. The modified card will be returned.

DELETE

/backend/api/v1/paymentCards/ID - delete payment card with specified ID.

Fields

FieldNameTypeDescription
ourReferenceOur ReferenceTextInternal reference number for the payment card
customerReferenceCustomer’s ReferenceTextCustomer-provided reference for the payment card
paymentCardPriorityCard Collection OrderPreset ValuePriority order for payment collection when customer has multiple payment cards
emailAddressEmail AddressPreset ValueEmail address associated with this payment card
cardholderNameCardholder NameTextName of the cardholder for the payment card
paymentCardTypeCard TypePreset ValueType of payment card (e.g., Visa, Mastercard)
PANLastDigitsLast Four DigitsTextLast four digits of the payment card number for identification
fromDateFrom DateTextStart date for the payment card validity period
expiryDateExpiry DateTextExpiry date of the payment card
paymentCardStorageTypeCard Storage MethodPreset ValueMethod used to store and process the payment card information
useForPaymentTypesUse For Payment TypesPreset Value(s)Array of payment type names this card supports
paymentCardCollectionTypesUse For CollectionPreset Value(s)Array of collection type names this card can be used for
providerTokenProvider TokenTextToken assigned by the payment card provider
providerCustomerReferenceProvider Customer ReferenceTextCustomer reference used by the payment card provider
providerReferenceProvider ReferenceTextReference number assigned by the payment card provider
providerKeyProvider KeyTextProvider key for payment card processing
statusCard StatusPreset ValueCurrent status of the payment card
paymentCardSetupDateSet-Up DateDateDate when the payment card was set up with the provider
paymentCardTakenDateLast Taken DateDateDate when a payment was last successfully taken from this card
idPayment Card IDTextThe unique identifier for this payment card

Provider-Specific Fields

Stripe

When creating a payment card with paymentCardStorageType set to Stripe, supply the following provider fields:

FieldRequiredDescription
providerCustomerReferenceYesThe Stripe customer ID (beginning cus_)
providerReferenceRecommendedThe Stripe payment method ID (beginning pm_). If omitted, the platform will automatically use the customer’s most recent card in Stripe for any collection.

The other provider fields are updated automatically when the platform syncs with Stripe (via webhooks or scheduled updates). You do not need to supply them:

FieldUpdated byDescription
providerKeyStripe syncCard fingerprint, used for identification

Important: If you are adding cards through your own Stripe integration, make sure the Stripe request is configured to allow future payments on the card (e.g. setup_future_usage or an off-session SetupIntent). Without this, the platform will not be able to collect against it.

Still Didn’t Find Your Answer?

For assistance, please contact us below.

Submit a ticket